package com.audio.record.screen.test.service

import android.graphics.Bitmap
import androidx.camera.core.processing.SurfaceProcessorNode.In

interface FloatingCallback {
    //开始录制
    fun onStartRecording(){}
    //更新录制时间
    fun onUpdateRecordTime(time:String){}

    fun onStopRecord(){}

    fun onPauseRecord(){}
    fun onResumeRecord(){}

    fun onRefreshViewShow(webCamShow:Boolean,screenshotShow:Boolean,ballShow:Boolean){}

    fun onRefreshRecordingStatus(status:Int){}

    fun onRefreshBitmap(bitmap:Bitmap){}

}
